package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TBaseStorageArea;

/**
 * 仓库库区Mapper接口
 *
 * @author tony
 * @date 2024-06-16
 */
public interface TBaseStorageAreaMapper extends BaseMapper<TBaseStorageArea> //修改
{
    /**
     * 查询仓库库区
     *
     * @param id 仓库库区主键
     * @return 仓库库区
     */
    public TBaseStorageArea selectTBaseStorageAreaById(Long id);

    /**
     * 查询仓库库区列表
     *
     * @param tBaseStorageArea 仓库库区
     * @return 仓库库区集合
     */
    public List<TBaseStorageArea> selectTBaseStorageAreaList(TBaseStorageArea tBaseStorageArea);

    /**
     * 新增仓库库区
     *
     * @param tBaseStorageArea 仓库库区
     * @return 结果
     */
    public int insertTBaseStorageArea(TBaseStorageArea tBaseStorageArea);

    /**
     * 修改仓库库区
     *
     * @param tBaseStorageArea 仓库库区
     * @return 结果
     */
    public int updateTBaseStorageArea(TBaseStorageArea tBaseStorageArea);

    /**
     * 删除仓库库区
     *
     * @param id 仓库库区主键
     * @return 结果
     */
    public int deleteTBaseStorageAreaById(Long id);

    /**
     * 批量删除仓库库区
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBaseStorageAreaByIds(Long[] ids);

    /**
     * 批量启用仓库库区
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTBaseStorageAreaByIds(Long[] ids);

    /**
     * 批量禁用仓库库区
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTBaseStorageAreaByIds(Long[] ids);

}
